com.icesoft.faces.component.dataexporter

## Class DataExporter

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - com.icesoft.faces.component.outputresource.OutputResource
      - - com.icesoft.faces.component.dataexporter.DataExporter

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

      public class DataExporter
      extends OutputResource

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_FAMILY`
    `static java.lang.String` | `COMPONENT_TYPE`
    `static java.lang.String` | `CSV_TYPE`
    `static java.lang.String` | `DEFAULT_RENDERER_TYPE`
    `static java.lang.String` | `EXCEL_TYPE`
    `static java.lang.String` | `PDF_TYPE`

    - ### Fields inherited from class com.icesoft.faces.component.outputresource.OutputResource

      `registeredResource, resource, TYPE_BUTTON, TYPE_IMAGE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataExporter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addInfo()`
    `void` | `broadcast(javax.faces.event.FacesEvent event)`
    `java.lang.String` | `getClickToCreateFileText()` Deprecated.
    `java.lang.String` | `getComponentType()`
    `java.lang.String` | `getFamily()`
    `java.lang.String` | `getFor()`
    `java.lang.String` | `getIncludeColumns()`
    `java.lang.String` | `getLabel()`
    `OutputTypeHandler` | `getOutputTypeHandler()`
    `java.lang.String` | `getPopupBlockerLabel()`
    `protected java.util.List` | `getRenderedChildColumnsList(javax.faces.component.UIComponent component)`
    `java.lang.String` | `getRendererType()`
    `java.lang.String` | `getStyleClass()` Return the value of the `styleClass` property.
    `java.lang.String` | `getType()`
    `javax.faces.component.UIData` | `getUIData()`
    `boolean` | `isIgnorePagination()` Return the value of the `ignorePagination` property.
    `boolean` | `isReadyToExport()`
    `boolean` | `isRenderLabelAsButton()` Return the value of the `renderLabelAsButton` property.
    `protected void` | `processAllColumns(javax.faces.context.FacesContext fc, OutputTypeHandler outputHandler, java.util.List columns, java.lang.String[] includeColumnsArray, int countOfRowsDisplayed, boolean footer)`
    `protected void` | `processColumn(javax.faces.context.FacesContext fc, OutputTypeHandler outputHandler, javax.faces.component.UIComponent uiColumn, int colIndex, int countOfRowsDisplayed)`
    `protected void` | `processColumnFooter(javax.faces.context.FacesContext fc, OutputTypeHandler outputHandler, javax.faces.component.UIComponent uiColumn, int colIndex, int countOfRowsDisplayed)`
    `protected void` | `processColumnHeader(javax.faces.context.FacesContext fc, OutputTypeHandler outputHandler, javax.faces.component.UIComponent uiColumn, int colIndex)`
    `protected void` | `renderInUserDefinedOrder(javax.faces.context.FacesContext fc, OutputTypeHandler outputHandler, java.util.List columns, java.lang.String[] includeColumnsArray, int colIndex, int countOfRowsDisplayed, boolean footer)`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)` Perform any processing required to restore the state from the entries in the state Object.
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)` Gets the state of the instance as a `Serializable` Object.
    `void` | `setClickToCreateFileText(java.lang.String clickToCreateFileText)` Deprecated.
    `void` | `setFor(java.lang.String forValue)`
    `void` | `setIgnorePagination(boolean ignorePagination)` Set the value of the `ignorePagination` property.
    `void` | `setIncludeColumns(java.lang.String includeColumns)`
    `void` | `setOutputTypeHandler(OutputTypeHandler outputTypeHandler)`
    `void` | `setPopupBlockerLabel(java.lang.String popupBlockerLabel)`
    `void` | `setReadyToExport(boolean readyToExport)`
    `void` | `setRenderLabelAsButton(boolean renderLabelAsButton)` Set the value of the `renderLabelAsButton` property.
    `void` | `setStyleClass(java.lang.String styleClass)`
    `void` | `setType(java.lang.String type)`

    - ### Methods inherited from class com.icesoft.faces.component.outputresource.OutputResource

      `getAttachment, getFileName, getImage, getLastModified, getLastResourceHashCode, getMimeType, getPath, getRenderedOnUserRole, getResource, getStyle, getTarget, isAttachment, isDisabled, isRendered, isShared, setAttachment, setDisabled, setFileName, setImage, setLabel, setLastModified, setMimeType, setRenderedOnUserRole, setResource, setShared, setStyle, setTarget`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendersChildren, getValueBinding, invokeOnComponent, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_FAMILY

          public static final java.lang.String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### DEFAULT_RENDERER_TYPE

          public static final java.lang.String DEFAULT_RENDERER_TYPE

      See Also:
        Constant Field Values

    - #### EXCEL_TYPE

          public static final java.lang.String EXCEL_TYPE

      See Also:
        Constant Field Values

    - #### CSV_TYPE

          public static final java.lang.String CSV_TYPE

      See Also:
        Constant Field Values

    - #### PDF_TYPE

          public static final java.lang.String PDF_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DataExporter

          public DataExporter()

  - ### Method Detail

    - #### getFamily

          public java.lang.String getFamily()

      Overrides:
        `getFamily` in class `OutputResource`

    - #### getComponentType

          public java.lang.String getComponentType()

      Overrides:
        `getComponentType` in class `OutputResource`

    - #### getRendererType

          public java.lang.String getRendererType()

      Overrides:
        `getRendererType` in class `OutputResource`

    - #### getUIData

          public javax.faces.component.UIData getUIData()

    - #### getFor

          public java.lang.String getFor()

    - #### setFor

          public void setFor(java.lang.String forValue)

    - #### getType

          public java.lang.String getType()

      Overrides:
        `getType` in class `OutputResource`

    - #### setType

          public void setType(java.lang.String type)

      Overrides:
        `setType` in class `OutputResource`

    - #### isReadyToExport

          public boolean isReadyToExport()

    - #### setReadyToExport

          public void setReadyToExport(boolean readyToExport)

    - #### getClickToCreateFileText

          public java.lang.String getClickToCreateFileText()

      Deprecated.

    - #### setClickToCreateFileText

          public void setClickToCreateFileText(java.lang.String clickToCreateFileText)

      Deprecated.

    - #### getOutputTypeHandler

          public OutputTypeHandler getOutputTypeHandler()

    - #### setOutputTypeHandler

          public void setOutputTypeHandler(OutputTypeHandler outputTypeHandler)

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Description copied from class: `OutputResource`

      Gets the state of the instance as a `Serializable` Object.

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `OutputResource`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                                   java.lang.Object state)

      Description copied from class: `OutputResource`

      Perform any processing required to restore the state from the entries in the state Object.

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `OutputResource`

    - #### getLabel

          public java.lang.String getLabel()

      Overrides:
        `getLabel` in class `OutputResource`

    - #### broadcast

          public void broadcast(javax.faces.event.FacesEvent event)
                         throws javax.faces.event.AbortProcessingException

      Overrides:
        `broadcast` in class `javax.faces.component.UIComponentBase`
      Throws:
        `javax.faces.event.AbortProcessingException`

    - #### getRenderedChildColumnsList

          protected java.util.List getRenderedChildColumnsList(javax.faces.component.UIComponent component)

    - #### addInfo

          public void addInfo()

      Overrides:
        `addInfo` in class `OutputResource`

    - #### setIgnorePagination

          public void setIgnorePagination(boolean ignorePagination)

      Set the value of the `ignorePagination` property.

    - #### isIgnorePagination

          public boolean isIgnorePagination()

      Return the value of the `ignorePagination` property.

    - #### setRenderLabelAsButton

          public void setRenderLabelAsButton(boolean renderLabelAsButton)

      Set the value of the `renderLabelAsButton` property.

    - #### isRenderLabelAsButton

          public boolean isRenderLabelAsButton()

      Return the value of the `renderLabelAsButton` property.

    - #### setStyleClass

          public void setStyleClass(java.lang.String styleClass)

      Overrides:
        `setStyleClass` in class `OutputResource`

    - #### getStyleClass

          public java.lang.String getStyleClass()

      Description copied from class: `OutputResource`

      Return the value of the `styleClass` property.

      Overrides:
        `getStyleClass` in class `OutputResource`
      Returns:
        String styleClass

    - #### processAllColumns

          protected void processAllColumns(javax.faces.context.FacesContext fc,
                                           OutputTypeHandler outputHandler,
                                           java.util.List columns,
                                           java.lang.String[] includeColumnsArray,
                                           int countOfRowsDisplayed,
                                           boolean footer)

    - #### processColumnHeader

          protected void processColumnHeader(javax.faces.context.FacesContext fc,
                                             OutputTypeHandler outputHandler,
                                             javax.faces.component.UIComponent uiColumn,
                                             int colIndex)

    - #### processColumnFooter

          protected void processColumnFooter(javax.faces.context.FacesContext fc,
                                             OutputTypeHandler outputHandler,
                                             javax.faces.component.UIComponent uiColumn,
                                             int colIndex,
                                             int countOfRowsDisplayed)

    - #### processColumn

          protected void processColumn(javax.faces.context.FacesContext fc,
                                       OutputTypeHandler outputHandler,
                                       javax.faces.component.UIComponent uiColumn,
                                       int colIndex,
                                       int countOfRowsDisplayed)

    - #### getIncludeColumns

          public java.lang.String getIncludeColumns()

    - #### setIncludeColumns

          public void setIncludeColumns(java.lang.String includeColumns)

    - #### renderInUserDefinedOrder

          protected void renderInUserDefinedOrder(javax.faces.context.FacesContext fc,
                                                  OutputTypeHandler outputHandler,
                                                  java.util.List columns,
                                                  java.lang.String[] includeColumnsArray,
                                                  int colIndex,
                                                  int countOfRowsDisplayed,
                                                  boolean footer)

    - #### getPopupBlockerLabel

          public java.lang.String getPopupBlockerLabel()

    - #### setPopupBlockerLabel

          public void setPopupBlockerLabel(java.lang.String popupBlockerLabel)

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.